#!/bin/sh
#
# This is a sloppy022 startup file, it will create all neccessary settings
# in "$HOME"/.config/sloppy and "$HOME"/.local/share/sloppy/
# Sloppy follows the XDG standards, it needs its config file in "$HOME"/.config/sloppy/ and its book in "$HOME"/.local/share/sloppy/. 
# It is hardwired so please use this startup file
# 
# This script was modified from a script originally written by Oliver Korff <ok@xynyx.de> 


if [ ! -d "$HOME"/.config/sloppy ] ; then 
		mkdir -p "$HOME"/.config/sloppy ; 
	fi

if [ ! -d "$HOME"/.local/share/sloppy ] ; then 
		mkdir -p "$HOME"/.local/share/sloppy/ ; 
	fi

if [ ! -e "$HOME"/.config/sloppy/sloppy.conf ] ; then 
		cp /usr/share/sloppy022/sloppy.conf "$HOME"/.config/sloppy/ ; 
	fi

if [ ! -e "$HOME"/.local/share/sloppy/book.bin ] ; then
		cp /usr/share/sloppy022/book.bin "$HOME"/.local/share/sloppy/ ;
	fi

/usr/bin/sloppy022.bin

exit 0
